macroScript QuickSkinVertexWeight category:"Custom Skin Tools"
tooltip:"Quick Vertex Weight Tool" 
(
                tool AssignSkinVertexWeightTool
                (
                                local original
                                fn setweight wt = (
                                                if (wt < 0) then wt = 0
                                                if (wt > 1.0) then wt = 1.0
                                                skinOps.setWeight $.modifiers[#Skin] wt
                                                $.modifiers[#Skin].effect = wt
                                )                                   
                                on mousePoint clickno do (                         
                                                if clickno > 1 then return #stop                  
                                                original = $.modifiers[#Skin].effect
                                )
                                on mouseAbort clickno do (
                                                setweight original
                                )
                                on mouseMove clickno do (
                                                newval = (original + (gridDist.x  * 0.01))
                                                setweight newval
                                )
                )
                startTool AssignSkinVertexWeightTool prompt:"Set Vertex Weight"
)
